﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;
using RimWorld;
using UnityEngine;

namespace BeautyAndUgly
{
    public class BeautyAndUglySetting : ModSettings
    {
        public enum WorkMethod
        {
            Trait, Beauty_Score
        }
        public static WorkMethod workMethod = WorkMethod.Trait;

        public static bool DebugLog = false;
        public static bool UseOtherLevelTextureForMissing = true;
        public static bool UseBeautyTrait = true;

        public override void ExposeData()
        {
            base.ExposeData();
            Scribe_Values.Look(ref DebugLog, "DebugLog", false);
            Scribe_Values.Look(ref DebugLog, "UseBeautyTrait", true);
            //Scribe_Values.Look(ref UseOtherLevelTextureForMissing, "UseOtherLevelTextureForMissing", false);
        }

    }
    public class BeautyAndUglyMod : Mod
    {
        public static BeautyAndUglySetting settings;

        public BeautyAndUglyMod(ModContentPack content) : base(content)
        {
            settings = GetSettings<BeautyAndUglySetting>();
        }


        public override void DoSettingsWindowContents(Rect inRect)
        {
            Listing_Standard listingStandard = new Listing_Standard();
            Rect newRect = new Rect(inRect.x, inRect.y, inRect.width / 2, inRect.height);
            listingStandard.Begin(newRect);
            /*
            if(listingStandard.ButtonTextLabeled("Work Method", ))
            {
                WindowStack windowStack = Find.WindowStack;
                List<FloatMenuOption> list = new List<FloatMenuOption>();
                list.Add(new FloatMenuOption(Translator.Translate("From Trait"), delegate ()
                {
                    BeautyAndUglySetting.workMethod = BeautyAndUglySetting.WorkMethod.Trait;
                }, Verse.MenuOptionPriority.Default, null, null, 0f, null, null));
                list.Add(new FloatMenuOption(Translator.Translate("From Beauty score"), delegate ()
                {
                    BeautyAndUglySetting.workMethod = BeautyAndUglySetting.WorkMethod.Beauty_Score;
                }, Verse.MenuOptionPriority.Default, null, null, 0f, null, null));
                windowStack.Add(new FloatMenu(list));
            }
            */
            listingStandard.CheckboxLabeled("Debug Log", ref BeautyAndUglySetting.DebugLog, "Log Warnings");
            listingStandard.CheckboxLabeled("Use Beauty Trait", ref BeautyAndUglySetting.UseBeautyTrait, "Use Beauty traits.\nif you want to use beauty state (such as Aesthetic nose or else), uncheck this option.");

            listingStandard.Label("If you changed Setting or changed beauty level of the pawn, you may need to reload save for updating face change for now.");


        //listingStandard.CheckboxLabeled("Use Other BeautyLevel Texture For Missing Texture", ref BeautyAndUglySetting.UseOtherLevelTextureForMissing, "if beauty-2 texture is missing, the mod will use beauty-1 texture instead.\n this is also useful when you're using the mod or somthing that makes pawn's beauty over 2 or less than -2");
            listingStandard.Gap();

            listingStandard.End();
            base.DoSettingsWindowContents(inRect);
        }

        public override string SettingsCategory()
        {
            return "Beauty And Ugly";
        }

    }

    
}
